import { ReaderSettings, WebpubManifest } from '../types';
/**
 * These are effects that reach in to the iframe element and modify it.
 * They are not part of the reducer, and should only be called from within a
 * useEffect hook.
 */
/**
 * Scroll the HTML element to a given progression by
 * setting the scrollTop or the scrollLeft.
 */
export declare function navigateToProgression(iframe: HTMLIFrameElement, progression: number, isScrolling: boolean): void;
export declare function navigateToHash(fragment: string, iframe: HTMLIFrameElement, isScrolling: boolean): void;
/**
 * Takes the HTML element and sets CSS variables on it based on the
 * reader's state
 */
export declare function setCss(iframeHtml: Document, settings: ReaderSettings, iframeContainer: HTMLElement | null, manifest: WebpubManifest | undefined): void;
export declare function setReflowableCss(iframeHtml: HTMLElement, settings: ReaderSettings): void;
/**
 * Apply the transform property to the iframe document to fit the current screen viewport.
 */
export declare function setFixedCss(iframeDocument: Document, iframeContainer: HTMLElement | null): void;
